Description

Hi,

I noticed an issue regarding the creation and importing of image referenced using world files.

I did everything using only QGIS 2.8.1 without any other tweak to the files

I loaded a DEM tile in NAD83 (EPSG 4269) into QGIS 2.8.1, open a new print composer to display the DEM tile and save it as an image

with a world file.

If the map is not rotated (Map properties > Main Properties > Map rotation = 0 deg) the imported image is properly located.

If the map is 30 deg rotated (Map properties > Main Properties > Map rotation = 30 deg) the imported image is not properly located.

The world files seem to contain the proper parameters so it looks to me like the importer is failing.

I attached the DEM tile in USGS .dem format, the two exported images (.jpg + .jpw)and screenshots from my QGIS project.

On the screenshots, I clicked with the "Identify feature" tool on the upper left corner of the tile for each layer to compare the coordinates.

Any thoughts?

This might be related to issue #12322.

Thanks

History

#1 - 2015-04-19 03:24 AM - Giovanni Manghi

- Category set to Projection Support

- Status changed from Open to Feedback

Please test qgis master and report back. If it is related to #12322 it should be already fixed.

#2 - 2015-04-19 04:11 AM - Jürgen Fischer

Giovanni Manghi wrote:

Please test qgis master and report back. If it is related to #12322 it should be already fixed.

Or using a "nightly build of the upcoming point release" on Debian/Ubuntu or using the qgis-rel-dev package on OSGeo4W.
http://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu


#3 - 2015-04-19 09:24 AM - Paolo Cavallini

Does http://qgis.org/debian-nightly-ltr exist? I get a 404  Not Found

#4 - 2015-04-19 11:25 AM - Jürgen Fischer

Paolo Cavallini wrote:

Does http://qgis.org/debian-nightly-ltr exist? I get a 404  Not Found

Not yet.  It will be "(available once there is a new latest release)".  See also  LTR"

#5 - 2015-05-10 08:22 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

QGIS_2.8.1_original_raster_DEM.png 310 KB 2015-04-17 Thomas Campagne

QGIS_2.8.1_exported_raster_with_world_file.png 546 KB 2015-04-17 Thomas Campagne

QGIS_2.8.1_exported_rotated_raster_with_world_file.png 434 KB 2015-04-17 Thomas Campagne

043d09_0200_deme.zip 683 KB 2015-04-17 Thomas Campagne

DEM_4269.jgw 70 Bytes 2015-04-17 Thomas Campagne

DEM_4269.jpg 615 KB 2015-04-17 Thomas Campagne

DEM_4269_rotated_30deg.jgw 70 Bytes 2015-04-17 Thomas Campagne

DEM_4269_rotated_30deg.jpg 591 KB 2015-04-17 Thomas Campagne
http://qgis.org/debian-nightly-ltr
http://qgis.org/debian-nightly-ltr
http://lists.osgeo.org/pipermail/qgis-developer/2015-March/036973.html

